## xdg-dbus-proxy 0.1.0

=== debian/changelog ===
xdg-dbus-proxy (0.1.0-2) unstable; urgency=medium

  * Improve patch metadata
  * Add patches to facilitate backporting to stretch
  * Standards-Version: 4.3.0
  * Use debhelper-compat 12
  * Ensure that build-aux/tap-test is executable before running tests

 -- Simon McVittie <smcv@debian.org>  Mon, 14 Jan 2019 20:05:06 +0000

xdg-dbus-proxy (0.1.0-1) unstable; urgency=medium

  * Initial release under this name (Closes: #915579).
    xdg-dbus-proxy was previously flatpak-dbus-proxy, in the flatpak
    package. It was factored out by the Flatpak upstream developers so
    that it can be used by packages like webkit2gtk 2.23.x.
  * Apply patches from upstream git to add a license, --help, a man page
    and a simple regression test (upstream PRs #2, #3, #5) and to
    fix a compiler warning (upstream PR #4)

 -- Simon McVittie <smcv@debian.org>  Wed, 12 Dec 2018 14:57:14 +0000

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
export LC_ALL=C.UTF-8

include /usr/share/dpkg/default.mk

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		--enable-installed-tests \
		--libexecdir=/usr/libexec \
		$(NULL)

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	chmod +x build-aux/tap-test
	dh_auto_test
endif

override_dh_missing:
	dh_missing --fail-missing

## xdg-dbus-proxy 0.1.4

=== meson_options.txt ===
option(
  'man',
  type : 'feature',
  description : 'generate man pages',
  value : 'auto',
)
option(
  'program_prefix',
  type : 'string',
  description : 'Prepend string to executable name, for use with subprojects',
  value : '',
)
option(
  'tests',
  type : 'boolean',
  description : 'Build and run automated tests',
  value : 'true',
)

## xdg-dbus-proxy 0.1.1

=== debian/changelog ===
xdg-dbus-proxy (0.1.1-1~mx17+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 18 Mar 2021 21:08:16 -0700

xdg-dbus-proxy (0.1.1-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.
    - d/control, d/gbp.conf: Set branch to debian/stretch-backports

 -- Simon McVittie <smcv@debian.org>  Wed, 30 Jan 2019 09:34:31 +0000

xdg-dbus-proxy (0.1.1-1) unstable; urgency=medium

  * d/upstream/metadata: Add DEP-12 metadata
  * New upstream release
    - Drop all patches, applied upstream
  * Remove workaround that made sure build-aux/tap-test was executable.
    Now that it's part of the upstream source and not added by a patch,
    it already has suitable permissions.

 -- Simon McVittie <smcv@debian.org>  Sun, 20 Jan 2019 11:13:12 +0000

xdg-dbus-proxy (0.1.0-2~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports, so that flatpak (>= 1.0.6-2) can be
    backported
    - d/control, d/gbp.conf: Set branch to debian/stretch-backports

 -- Simon McVittie <smcv@debian.org>  Tue, 15 Jan 2019 10:14:06 +0000

=== debian/control ===
Source: xdg-dbus-proxy
Section: admin
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
Uploaders: Simon McVittie <smcv@debian.org>
Build-Depends: autoconf-archive,
               dbus <!nocheck>,
               debhelper-compat (= 12),
               docbook-xml,
               docbook-xsl,
               libglib2.0-dev,
               xsltproc
Rules-Requires-Root: no
Standards-Version: 4.3.0
Homepage: https://github.com/flatpak/xdg-dbus-proxy
Vcs-Git: https://salsa.debian.org/debian/xdg-dbus-proxy.git -b debian/stretch-backports
Vcs-Browser: https://salsa.debian.org/debian/xdg-dbus-proxy

Package: xdg-dbus-proxy
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: filtering D-Bus proxy
 xdg-dbus-proxy is a filtering proxy for D-Bus connections. It was
 originally part of the Flatpak project, but it has been broken out as
 a standalone module to facilitate using it in other contexts, for
 example in WebKit-GTK's optional bubblewrap-based sandbox.
 .
 For this proxy to be useful, restricted D-Bus clients must be denied
 access to the normal D-Bus socket (for example by using containers or
 AppArmor rules), and instead given access to the listening Unix socket
 created by the proxy (typically by bind-mounting it into a Linux
 container).

Package: xdg-dbus-proxy-tests
Architecture: any
Multi-Arch: foreign
Depends: dbus, xdg-dbus-proxy, ${misc:Depends}, ${shlibs:Depends}
Recommends: gnome-desktop-testing
Description: filtering D-Bus proxy - as-installed tests
 xdg-dbus-proxy is a filtering proxy for D-Bus connections. It was
 originally part of the Flatpak project, but it has been broken out as
 a standalone module to facilitate using it in other contexts, for
 example in WebKit-GTK's optional bubblewrap-based sandbox.
 .
 This package contains as-installed tests, which can be run using
 autopkgtest or gnome-desktop-testing-runner, or directly.

=== debian/rules ===
--- 
+++ 
@@ -15,11 +15,8 @@
 		--libexecdir=/usr/libexec \
 		$(NULL)
 
-override_dh_auto_test:
-ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	chmod +x build-aux/tap-test
-	dh_auto_test
-endif
-
 override_dh_missing:
 	dh_missing --fail-missing
+
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym

=== debian/tests/control ===
Tests: gnome-desktop-testing
Depends: gnome-desktop-testing, xdg-dbus-proxy-tests

## xdg-dbus-proxy 0.1.2

=== debian/changelog ===
xdg-dbus-proxy (0.1.2-1) unstable; urgency=medium

  * New upstream release
    - Drop all patches, applied upstream

 -- Simon McVittie <smcv@debian.org>  Thu, 19 Sep 2019 08:11:28 +0100

xdg-dbus-proxy (0.1.1-2) unstable; urgency=medium

  * d/p/Fix-segfault-when-flatpak_proxy_start-fails.patch:
    Add patch from upstream to fix a crash when startup fails
  * d/p/build-Forbid-AX_-prefixed-patterns-more-selectively.patch,
    d/p/build-Adapt-to-AX_CODE_COVERAGE-API-change.patch,
    d/p/build-Use-CODE_COVERAGE_CPPFLAGS.patch:
    Add patches proposed upstream to fix FTBFS with autoconf-archive
    20190106
  * Remove redundant --libexecdir=/usr/libexec.
    This is the default at debhelper compat level 12.
  * Standards-Version: 4.4.0
  * d/copyright: Update
  * d/salsa-ci.yml: Request standard CI on salsa.debian.org

 -- Simon McVittie <smcv@debian.org>  Thu, 05 Sep 2019 08:54:23 +0100

=== debian/control ===
Source: xdg-dbus-proxy
Section: admin
Priority: optional
Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
Uploaders:
 Simon McVittie <smcv@debian.org>,
Build-Depends:
 autoconf-archive,
 dbus <!nocheck>,
 debhelper-compat (= 12),
 docbook-xml,
 docbook-xsl,
 libglib2.0-dev,
 xsltproc,
Rules-Requires-Root: no
Standards-Version: 4.4.0
Homepage: https://github.com/flatpak/xdg-dbus-proxy
Vcs-Git: https://salsa.debian.org/debian/xdg-dbus-proxy.git
Vcs-Browser: https://salsa.debian.org/debian/xdg-dbus-proxy

Package: xdg-dbus-proxy
Architecture: any
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: filtering D-Bus proxy
 xdg-dbus-proxy is a filtering proxy for D-Bus connections. It was
 originally part of the Flatpak project, but it has been broken out as
 a standalone module to facilitate using it in other contexts, for
 example in WebKit-GTK's optional bubblewrap-based sandbox.
 .
 For this proxy to be useful, restricted D-Bus clients must be denied
 access to the normal D-Bus socket (for example by using containers or
 AppArmor rules), and instead given access to the listening Unix socket
 created by the proxy (typically by bind-mounting it into a Linux
 container).

Package: xdg-dbus-proxy-tests
Architecture: any
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 dbus,
 xdg-dbus-proxy,
Recommends:
 gnome-desktop-testing,
Description: filtering D-Bus proxy - as-installed tests
 xdg-dbus-proxy is a filtering proxy for D-Bus connections. It was
 originally part of the Flatpak project, but it has been broken out as
 a standalone module to facilitate using it in other contexts, for
 example in WebKit-GTK's optional bubblewrap-based sandbox.
 .
 This package contains as-installed tests, which can be run using
 autopkgtest or gnome-desktop-testing-runner, or directly.

=== debian/rules ===
--- 
+++ 
@@ -12,11 +12,7 @@
 override_dh_auto_configure:
 	dh_auto_configure -- \
 		--enable-installed-tests \
-		--libexecdir=/usr/libexec \
 		$(NULL)
 
 override_dh_missing:
 	dh_missing --fail-missing
-
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym

=== debian/tests/control ===
Tests: gnome-desktop-testing
Depends:
 gnome-desktop-testing,
 xdg-dbus-proxy-tests,

## xdg-dbus-proxy 0.1.3

=== debian/changelog ===
xdg-dbus-proxy (0.1.3-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version: 4.6.0 (no changes required)
  * Use debhelper compat level 13, drop dh_missing override

 -- Simon McVittie <smcv@debian.org>  Fri, 11 Feb 2022 12:00:51 +0000

xdg-dbus-proxy (0.1.2-2) unstable; urgency=medium

  * Set upstream metadata field: Repository.
  * Remove obsolete field Name from debian/upstream/metadata (already
    present in machine-readable debian/copyright)
  * d/rules: Don't explicitly use --as-needed linker option.
    It's the default with bullseye toolchains.
  * d/gbp.conf: Rename development branch to debian/latest
  * Standards-Version: 4.5.1 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Sat, 19 Dec 2020 12:44:10 +0000

=== debian/control ===
--- 
+++ 
@@ -7,13 +7,13 @@
 Build-Depends:
  autoconf-archive,
  dbus <!nocheck>,
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  docbook-xml,
  docbook-xsl,
  libglib2.0-dev,
  xsltproc,
 Rules-Requires-Root: no
-Standards-Version: 4.4.0
+Standards-Version: 4.6.0
 Homepage: https://github.com/flatpak/xdg-dbus-proxy
 Vcs-Git: https://salsa.debian.org/debian/xdg-dbus-proxy.git
 Vcs-Browser: https://salsa.debian.org/debian/xdg-dbus-proxy

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export LC_ALL=C.UTF-8

include /usr/share/dpkg/default.mk

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		--enable-installed-tests \
		$(NULL)

## xdg-dbus-proxy 0.1.4

=== debian/changelog ===
xdg-dbus-proxy (0.1.4-3) unstable; urgency=medium

  * Depend on dbus-daemon for tests instead of dbus.
    The tests start their own mock session bus instance, and do not require
    the implementation of the well-known system bus that is provided by the
    dbus package.

 -- Simon McVittie <smcv@debian.org>  Thu, 08 Dec 2022 10:46:11 +0000

xdg-dbus-proxy (0.1.4-2) unstable; urgency=medium

  * d/watch: Update for Github website changes
  * Update standards version to 4.6.1 (no changes needed)

 -- Simon McVittie <smcv@debian.org>  Sat, 12 Nov 2022 17:29:46 +0000

xdg-dbus-proxy (0.1.4-1) unstable; urgency=medium

  * New upstream release
  * Build using Meson
  * d/p/meson-Optionally-install-tests-for-as-installed-testing.patch:
    Add proposed patch to restore parity of installed-tests coverage
    with Autotools

 -- Simon McVittie <smcv@debian.org>  Wed, 11 May 2022 10:51:07 +0100

=== debian/control ===
--- 
+++ 
@@ -5,15 +5,15 @@
 Uploaders:
  Simon McVittie <smcv@debian.org>,
 Build-Depends:
- autoconf-archive,
- dbus <!nocheck>,
+ dbus-daemon <!nocheck>,
  debhelper-compat (= 13),
  docbook-xml,
  docbook-xsl,
  libglib2.0-dev,
+ meson,
  xsltproc,
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://github.com/flatpak/xdg-dbus-proxy
 Vcs-Git: https://salsa.debian.org/debian/xdg-dbus-proxy.git
 Vcs-Browser: https://salsa.debian.org/debian/xdg-dbus-proxy
@@ -42,7 +42,7 @@
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
- dbus,
+ dbus-daemon,
  xdg-dbus-proxy,
 Recommends:
  gnome-desktop-testing,

## xdg-dbus-proxy 0.1.5

=== meson_options.txt ===
--- 
+++ 
@@ -1,3 +1,9 @@
+option(
+  'installed_tests',
+  type : 'boolean',
+  description : 'Build and install "as-installed" tests',
+  value : 'false',
+)
 option(
   'man',
   type : 'feature',

=== debian/changelog ===
xdg-dbus-proxy (0.1.5-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 17:27:51 +0000

xdg-dbus-proxy (0.1.5-1build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 08:09:26 +0000

xdg-dbus-proxy (0.1.5-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Drop remaining patch: applied in new release
  * Update standards version to 4.6.2, no changes needed

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 16 Aug 2023 09:40:55 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: xdg-dbus-proxy
 Section: admin
 Priority: optional
-Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
 Uploaders:
  Simon McVittie <smcv@debian.org>,
 Build-Depends:
@@ -13,7 +14,7 @@
  meson,
  xsltproc,
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/flatpak/xdg-dbus-proxy
 Vcs-Git: https://salsa.debian.org/debian/xdg-dbus-proxy.git
 Vcs-Browser: https://salsa.debian.org/debian/xdg-dbus-proxy

## xdg-dbus-proxy 0.1.6

=== debian/changelog ===
xdg-dbus-proxy (0.1.6-2) unstable; urgency=medium

  * Normalize packaging (debputy reformat)
  * d/copyright: Don't quote the FSF's former postal address here
  * d/watch: Update to uscan format v5
  * Standards-Version: 4.7.2 (no changes required)
  * Remove Rules-Requires-Root, default since Debian 13
  * Use dpkg build API v1

 -- Simon McVittie <smcv@debian.org>  Wed, 29 Oct 2025 13:59:24 +0000

xdg-dbus-proxy (0.1.6-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Bump Standards Version to 4.7.0

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 22 Aug 2024 11:36:07 -0400

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,20 @@
 Source: xdg-dbus-proxy
+X-Style: black
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
+Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
 Uploaders:
  Simon McVittie <smcv@debian.org>,
 Build-Depends:
+ debhelper-compat (= 13),
  dbus-daemon <!nocheck>,
- debhelper-compat (= 13),
+ dpkg-build-api (= 1),
  docbook-xml,
  docbook-xsl,
  libglib2.0-dev,
  meson,
  xsltproc,
-Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Homepage: https://github.com/flatpak/xdg-dbus-proxy
 Vcs-Git: https://salsa.debian.org/debian/xdg-dbus-proxy.git
 Vcs-Browser: https://salsa.debian.org/debian/xdg-dbus-proxy
@@ -41,10 +41,10 @@
 Architecture: any
 Multi-Arch: foreign
 Depends:
+ dbus-daemon,
+ xdg-dbus-proxy,
  ${misc:Depends},
  ${shlibs:Depends},
- dbus-daemon,
- xdg-dbus-proxy,
 Recommends:
  gnome-desktop-testing,
 Description: filtering D-Bus proxy - as-installed tests

=== debian/rules ===
--- 
+++ 
@@ -6,9 +6,10 @@
 include /usr/share/dpkg/default.mk
 
 %:
-	dh $@
+	dh $@ --buildsystem=meson
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
-		--enable-installed-tests \
+		-Dauto_features=enabled \
+		-Dinstalled_tests=true \
 		$(NULL)

=== debian/tests/control ===
Tests:
 gnome-desktop-testing,
Depends:
 gnome-desktop-testing,
 xdg-dbus-proxy-tests,

=== debian/watch ===
Version: 5

# Upstream releases official Autotools 'make dist' tarballs, so we use
# those in preference to git tags
Source: https://github.com/flatpak/@PACKAGE@/tags
Matching-Pattern: .*/releases/tag/v?@ANY_VERSION@
Compression: xz
Download-Url-Mangle: s#/tag/#/download/#;s#(v?@ANY_VERSION@)$#$1/@PACKAGE@-$2.tar.xz#
Dversion-Mangle: s/\+(?:git)?[0-9]*(?:\+g[0-9a-f]*)//
Filename-Mangle: s#v?@ANY_VERSION@#@PACKAGE@-$1.tar.xz#
